org.apache.myfaces.trinidad.util

## Class CollectionUtils.CompositeSet<E>

- java.lang.Object
- - org.apache.myfaces.trinidad.util.CollectionUtils.CompositeCollection<E>
  - - org.apache.myfaces.trinidad.util.CollectionUtils.CompositeSet<E>

- Type Parameters:
    `E` -
  All Implemented Interfaces:
    Iterable<E>, Collection<E>, Set<E>
  Direct Known Subclasses:
    CollectionUtils.LenientCompositeSet
  Enclosing class:
    CollectionUtils

      protected abstract static class CollectionUtils.CompositeSet<E>
      extends CollectionUtils.CompositeCollection<E>
      implements Set<E>

  Note: Requires contents to be disjoint!

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CollectionUtils.CompositeSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Implement Set-defined equals behavior
    `protected abstract Set<E>` | `getPrimaryDelegate()`
    `protected abstract Set<E>` | `getSecondaryDelegate()`
    `int` | `hashCode()` Implement Set-defined equals behavior

    - ### Methods inherited from class org.apache.myfaces.trinidad.util.CollectionUtils.CompositeCollection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Constructor Detail

    - #### CollectionUtils.CompositeSet

          protected CollectionUtils.CompositeSet()

  - ### Method Detail

    - #### getPrimaryDelegate

          protected abstract Set<E> getPrimaryDelegate()

      Specified by:
        `getPrimaryDelegate` in class `CollectionUtils.CompositeCollection<E>`

    - #### getSecondaryDelegate

          protected abstract Set<E> getSecondaryDelegate()

      Specified by:
        `getSecondaryDelegate` in class `CollectionUtils.CompositeCollection<E>`

    - #### equals

          public boolean equals(Object o)

      Implement Set-defined equals behavior
      Specified by:
        `equals` in interface `Collection<E>`
      Specified by:
        `equals` in interface `Set<E>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Implement Set-defined equals behavior
      Specified by:
        `hashCode` in interface `Collection<E>`
      Specified by:
        `hashCode` in interface `Set<E>`
      Overrides:
        `hashCode` in class `Object`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.